package com.tryandroid.media;

import android.app.AlarmManager;
import android.content.Context;
import android.view.MotionEvent;
import android.view.SurfaceView;
import android.view.View;
import android.view.View.OnTouchListener;
import android.widget.TextView;

public class PlayViewHelper implements OnTouchListener {

	private Context context;
	private TextView workTextView;
	private TextView indexTextView;
	private String workName;
	private int index;

	public PlayViewHelper(Context context, SurfaceView playView,
			TextView workTextView, TextView indexTextView) {
		this.context = context;
		this.workTextView = workTextView;
		this.indexTextView = indexTextView;

		playView.setOnTouchListener(this);
	}

	public void setWorkName(String workName) {
		this.workName = workName;
		index = 1;
		workTextView.setText(workName);
		indexTextView.setText(String.valueOf(index));
	}

	@Override
	public boolean onTouch(View view, MotionEvent motionEvent) {
		if (motionEvent.getAction() == MotionEvent.ACTION_UP) {
			// TODO 自動生成されたメソッド・スタブ
		}
		return false;
	}
}
